Bug 49540 - gnome weather hangs after extended usage.
gnome weather hangs after extended usage.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-20 12:03 EDT by Kirk Morrow
Modified: 2007-03-26 23:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 15:39:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirk Morrow 2001-07-20 12:03:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
If I remain logged in for extended periods the gnome weather hangs when
trying to update and keeps display the last valid reading.

How reproducible:
Sometimes

Steps to Reproduce:
1. Add GNOME Weather to the panel.
2. Stay logged in for many hours or several days.
3. Notice that after a while the temperature never changes.
	

Actual Results:  It gets stuck on a reading and never changes.

Expected Results:  It should display the current temperature and
conditions.

Additional info:

It appears to get stuck doing an update.  When I notice that it is giving
an incorrect reading I try forcing an update and it gives me an error
message that an update is already in progress.  It seems that the update
routine has no timeout if it can't get valid data and just hangs?
Comment 1 Alexander Larsson 2001-07-27 14:09:43 EDT
I haven't had time to look at this yet, but for the record, what kind of
connection do you have? Is it firewalled? Static ip?
Comment 2 Kirk Morrow 2001-07-31 11:40:21 EDT
The machine is running inside a corporate firewall.  The IP on this machine
never changes, but it posibly gets masqueraded.  The connection is a big 'ol fat
pipe.  I don't know exactly how big, but it's the faster than T1 or cable modem.
Comment 3 Havoc Pennington 2002-04-09 15:39:54 EDT
While it's hanging, an "strace -p" might be useful to see what it's doing while
stuck. Or better, run "strace -p -f -o output" on the applet, and 
then send along "output" after it's stuck.
Comment 4 Havoc Pennington 2002-07-02 17:28:58 EDT
This applet and the panel are totally redone for the next release, so 
most likely this bug is gone (though there may be exciting new ones, no doubt)

Note You need to log in before you can comment on or make changes to this bug.